////////////////////////////////////////////////////////////////////////////////////////////////////
//MaxCityGenerator by Maxjoiner 2012                                       //
// It's not possible to modify  my script without my permission.   //
//-------------------------------------------------------------------------------//
//This script creates City with Cars and People                           //
//You must insert this variables:                                      		 //
//-Name of City inside quote (ex: "N E W  Y O R K")                 //
//-Name of object (present in editor) where will be placed the City// 
//-Proximity at object (present in editor) in meters                        //
//-Range of extension in which the buildings will be made (meters)//
//-Numbers of Skyscarpers                                                         //
//-Numbers of Buildings                                                             //
//-Damage Buildings and Skyscarpers (from 0 to 1)                     //
//-Direction Buildings and Skyscarpers (from 0 to 360)                //
//-Numbers of people  (max 144)                                               //
//-Damage People   (from 0 to 1)                                                //
//-Numbers of Cars in motion (max 144)                                    //
//-Damage Cars in motion (from 0 to 1)                                      //
//-Numbers of Cars empty                                                         //
//-Damage Cars empty                                                               //
//-Fuel Cars empty (from 0 to 1)                                                //
//--------------------------------------------------------------------------------------------------------------------------------------
//EX: In editor create a functions module in its init field:                                                                                //
//nul = ["N E W  Y O R K" ,center,0,500,50,250,0,90,100,0,50,0,10,0,1] execVM "maxcitygenerator.sqf";    //
//In editor create a game logic named ex: Center                                                                                           //
//---------------------------------------------------------------------------------------------------------------------------------------

Createcenter EAST;
Createcenter WEST;
createcenter civilian;
createcenter resistance;
WEST setFriend [EAST,0];
EAST setFriend [WEST,0];
civilian setFriend [EAST,0];
East setfriend [civilian,0];
resistance setFriend [EAST,0];
0 fadesound 0;

waitUntil{!isnil "bis_fnc_init"};


_name = _this select 0;
_center = _this select 1;
_near = _this select 2;
_ray = _this select 3;
_sky = _this select 4;
_Buildings = _this select 5;
_dam_build = _this select 6;
_dir = _this select 7;
_peoples = _this select 8;
_dam_peoples = _this select 9;
_move_car = _this select 10;
_dam_move_car = _this select 11;
_cars = _this select 12;
_dam_car = _this select 13;
_fuel = _this select 14;


If (player == vehicle player and player distance _center < _ray) then { 
				_num = (_ray + 150);
				_play_pos = _center modeltoworld [_num,0,0];
				player setpos _play_pos;
				};
If (player != vehicle player and player distance _center < _ray) then { 
				_num = (_ray + 150);
				_play_pos = _center modeltoworld [_num,0,0];
				Vehicle player setpos _play_pos;
				};

_Marker1 = createMarker ["M1", position _center];
"M1" setMarkerShape "ELLIPSE";
"M1" setMarkerColor "ColorGreen";
"M1" setMarkerBrush "FDiagonal";
"M1" setMarkerSize [_ray, _ray];
_Marker2 = createMarker ["M2", position _center];
"M2" setMarkerColor "ColorBlack";
"M2" setMarkerType "Flag";
"M2" setMarkerText _name;
"M2" setMarkerSize [0, 0];

while {_sky > 1} do {
titleText [format["MAXCITYGENERATOR\nPlease Wait!\nSkyscarpers - %1",_sky], "BLACK faded"];
_pos1 = [(position _center),_near,_ray,10,0,0,0] call BIS_fnc_findSafePos;
_skyscarper = createVehicle ["Land_Panelak2", _pos1,[], 0, "NONE"];
_skyscarper1 = createVehicle ["Land_Panelak2",_pos1,[], 0, "NONE"];
_skyscarper1 attachto [_skyscarper,[0,0,14]];
_skyscarper2 = createVehicle ["Land_Panelak2",_pos1,[], 0, "NONE"];
_skyscarper2 attachto [_skyscarper1,[0,0,14]];
_skyscarper3 = createVehicle ["Land_Panelak2", _pos1,[], 0, "NONE"];
_skyscarper3 attachto [_skyscarper2,[0,0,14]];
_skyscarper setdir _dir;
_skyscarper setdamage _dam_build;
_skyscarper setVectorUp [0,0,1];
if ( (count (_skyscarper nearRoads 25)) > 0 ) then {
	deletevehicle _skyscarper;
	deletevehicle _skyscarper1;
	deletevehicle _skyscarper2;
	deletevehicle _skyscarper3;
	
};
sleep 0.0001;
_sky = _sky -1;
};


while {_Buildings > 1} do {
titleText [format["MAXCITYGENERATOR\nPlease Wait!\nBuildings - %1",_Buildings], "BLACK faded"];
_pos1 = [(position _center),_near,_ray,20,0,0,0] call BIS_fnc_findSafePos;
_random = ["Land_A_Office01","Land_A_Office02","Land_A_Hospital","Land_HouseBlock_D2","Land_HouseBlock_C3","Land_HouseBlock_D1","Land_HouseB_Tenement"];
_objtype = _random select floor (random (count _random));
_object = createVehicle [_objtype, _pos1,[], 0, "NONE"];
_object setdamage _dam_build;
_object setVectorUp [0,0,1];
_object setdir _dir;
if ( (count (_object nearRoads 25)) > 0 ) then {
	deletevehicle _object;
	};
sleep 0.0001;
_Buildings = _Buildings -1;
};


while {_peoples > 1} do {
titleText [format["MAXCITYGENERATOR\nPlease Wait!\nPeoples - %1", _Peoples], "BLACK faded"];
_pos1 = [(position _center),_near,_ray,2,0,0,0] call BIS_fnc_findSafePos;
_random = ["Dr_Hladik_EP1","Haris_Press_EP1","CIV_EuroMan02_EP1","CIV_EuroMan01_EP1","Rita_Ensler_EP1","Dr_Annie_Baker_EP1","CIV_EuroWoman02_EP1","CIV_EuroWoman01_EP1","WorkWoman2","Sportswoman5","Madam5","HouseWife4","Hooker4","Farmwife4","Damsel1","Worker3","Woodlander1","Villager1","SchoolTeacher","Rocker1","Policeman","Pilot","Doctor","Assistant","RU_Functionary1", "RU_Priest", "RU_Profiteer2", "RU_Secretary3", "ValentinaFit","Citizen3_EP1","Worker3"];
_bodytype = _random select floor (random (count _random));
_grp1 = Creategroup civilian;
_people = _grp1 createUnit [_bodytype, _pos1, [], 0, "NONE"];
_wpc = (group _people) addwaypoint [position _people, 0];
_wpc setWaypointType "SAD";
_wpc setwaypointSpeed "limited";
_people setdamage _dam_peoples;
sleep 0.0001;
_peoples = _peoples -1;
deleteGroup _grp1;
};


while {_move_car > 1} do {
titleText [format["MAXCITYGENERATOR\nPlease Wait!\nMove Cars - %1", _move_car], "BLACK faded"];
_pos1 = [(position _center),_near,_ray,10,0,0,0] call BIS_fnc_findSafePos;
_random_car = ["Ikarus_TK_CIV_EP1","Lada1_TK_CIV_EP1","Lada2_TK_CIV_EP1","LandRover_TK_CIV_EP1","TT650_TK_CIV_EP1","Old_bike_TK_CIV_EP1","Old_moto_TK_Civ_EP1","hilux1_civil_3_open_EP1","S1203_TK_CIV_EP1","SUV_TK_CIV_EP1","UAZ_Unarmed_TK_CIV_EP1","Ural_TK_CIV_EP1","V3S_Open_TK_CIV_EP1","Volha_1_TK_CIV_EP1","Volha_2_TK_CIV_EP1","VolhaLimo_TK_CIV_EP1","Ikarus","SkodaBlue","SkodaGreen","SkodaRed","Skoda","VWGolf","TT650_Civ","MMT_Civ","hilux1_civil_2_covered","hilux1_civil_1_open","hilux1_civil_3_open","car_hatchback","datsun1_civil_1_open","datsun1_civil_2_covered","datsun1_civil_3_open","V3S_Civ","car_sedan","Tractor","UralCivil","UralCivil2","Lada_base","LadaLM","Lada2","Lada1"];
_cartype = _random_car select floor (random (count _random_car));
_car = createVehicle [_cartype, _pos1,[], 0, "NONE"];
_car setVectorUp [0,0,1];
_dir = random 360;
_car setdir _dir;
_car setdamage _dam_move_car;
_random = ["Dr_Hladik_EP1","Haris_Press_EP1","CIV_EuroMan02_EP1","CIV_EuroMan01_EP1","Worker3","Woodlander1","Villager1","SchoolTeacher","Rocker1","Pilot","Doctor","Assistant","RU_Functionary1", "RU_Priest", "RU_Profiteer2", "Citizen3_EP1"];
_bodytype = _random select floor (random (count _random));
_grp1 = Creategroup resistance;
_driver = _grp1 createUnit [_bodytype, _car, [], 0, "NONE"];
_driver moveInDriver _car;
_driver setdamage _dam_move_car;
_wpc1 = (group _driver) addwaypoint [position _driver, 0];
_wpc1 setWaypointType "SAD";
sleep 0.0001;
_move_car = _move_car -1;
deleteGroup _grp1;
};

while {_cars > 1} do {
titleText [format["MAXCITYGENERATOR\nPlease Wait!\nCars - %1",_cars], "BLACK faded"];
_pos1 = [(position _center),_near,_ray,10,0,0,0] call BIS_fnc_findSafePos;
_random = ["Ikarus_TK_CIV_EP1","Lada1_TK_CIV_EP1","Lada2_TK_CIV_EP1","LandRover_TK_CIV_EP1","TT650_TK_CIV_EP1","Old_bike_TK_CIV_EP1","Old_moto_TK_Civ_EP1","hilux1_civil_3_open_EP1","S1203_TK_CIV_EP1","SUV_TK_CIV_EP1","UAZ_Unarmed_TK_CIV_EP1","Ural_TK_CIV_EP1","V3S_Open_TK_CIV_EP1","Volha_1_TK_CIV_EP1","Volha_2_TK_CIV_EP1","VolhaLimo_TK_CIV_EP1","Ikarus","SkodaBlue","SkodaGreen","SkodaRed","Skoda","VWGolf","TT650_Civ","MMT_Civ","hilux1_civil_2_covered","hilux1_civil_1_open","hilux1_civil_3_open","car_hatchback","datsun1_civil_1_open","datsun1_civil_2_covered","datsun1_civil_3_open","V3S_Civ","car_sedan","Tractor","UralCivil","UralCivil2","Lada_base","LadaLM","Lada2","Lada1"];
_objtype = _random select floor (random (count _random));
_object = createVehicle [_objtype, _pos1,[], 0, "NONE"];
_object setVectorUp [0,0,1];
_dir = random 360;
_object setdir _dir;
_object setdamage  _dam_car;
_object setfuel _fuel;
sleep 0.001;
_cars = _cars -1;
};
	
if (true) exitWith  {5 fadesound 1;Titletext [" ", "BLACK in",5]};

